<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>cf_html2js : Example Page</title>
	<style type="text/css">
		p, td, th, div, blockquote { 
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			font-size: 12px;
		}
		
		dt { 
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			font-size: 12px;
			padding-left: 10px;
		}
		
		dd { 
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			font-size: 12px;
			padding-bottom: 5px;
		}
		
		h3 { 
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			background-color: #ffffff; 
			border-bottom: 1px dotted #a3a3a3; 
			color: #000000; 
			font-size: 20px; 
			text-align: left;
			padding-left: 10px;
		}

		h4 { 
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			background-color: #ffffff; 
			border-bottom: 1px dotted #a3a3a3; 
			color: #000000; 
			font-size: 16px; 
			text-align: left;
			padding-left: 10px;
		}

		.box { 
			border: 1px solid #a3a3a3;
			padding-left: 10px;
			padding-right: 10px;
			margin-right: 30px; 
			margin-left: 30px; 
		}
		
		.title { 
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			font-weight: bold;
			color: #000000; 
			font-size: 14px;
			padding-bottom: 5px;
		}

	</style>
</head>

<body bgcolor="#ffffff">

<cf_html2js>
<h3>&lt;cf_html2js&gt;</h3>

<div class="box">
	<dl>
		<span class="title">Description:</span><br />
		<dt>
			This tag will take all the content generated between
			the open/close tag pair and convert it to a JavaScript 
			array. Then it will output it to the browser using
			converting the array to a string and using the 
			browser's document.write() method.

			<br /><br />
			
			Use this tag to help generate html that is to be
			included to the browser via an external .js file
			or simply inserted via a JavaScript function.
		</dt>
	</dl>
	
	<dl>
		<span class="title">Attributes:</span><br />
	
		<dt>output</dt>
		<dd>
			The variable name to output the results to. This defaults to
			"html2js".
		</dd>
	
		<dt>display</dt>
		<dd>
			Boolean value indicating whether or not the output should
			automatically be displayed. (default: <b>true</b>)
		</dd>
	
		<dt>addScriptTag</dt>
		<dd>
			Boolean value indicating whether or not the output should
			contain start and ending &lt;script&gt; tags. If you use this
			tag between script tags or within an external .js file,
			set this attribute to false.  (default: <b>true</b>)
		</dd>
	
		<dt>stripWhitespace</dt>
		<dd>
			Boolean value indicating whether or not the output should
			should have the miscellanous whitespacing on each line
			automatically removed. (default: <b>true</b>)
		</dd>
	
		<dt>newLine</dt>
		<dd>
			String value indicating what what the tag should consider
			the end of a line. (default: "#chr(13)##chr(10)#")
		</dd>
	
	</dl>
</div>

<h4>Example</h4>

<p>All of the text on this page is actually being
passed to the &lt;cf_html2js&gt; custom tag and
is actually being displayed via the browser's
document.write() method. Disabling JavaScript in
you browser will prevent the content from being
displayed.</p>

<script language="JavaScript">
<!--//
	document.write("<p>Even code within a document.write() "); 
	document.write("should be safely stored and outputted to ");
	document.write("the page.</p>");
//-->
</script>

<p>Here are some links: <br />

<cfloop index="i" from="1" to="10">
	&nbsp;&#149;&nbsp;<a href="" onClick="alert('link <cfoutput>#i#</cfoutput>'); return false;">link <cfoutput>#i#</cfoutput></a><br />
</cfloop>

</p>

</cf_html2js>

</body>
</html>
